Bug 1736448 - pocketsphinx: FTBFS in Fedora rawhide/f31 [NEEDINFO]
Summary: pocketsphinx: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pocketsphinx
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: W. Michael Petullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 17:39 UTC by Fedora Release Engineering
Modified: 2019-10-17 11:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-17 11:01:13 UTC
releng: needinfo? (redhat)


Attachments (Terms of Use)
build.log (1.21 KB, text/plain)
2019-08-01 17:39 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 17:39 UTC, Fedora Release Engineering
no flags Details
state.log (489 bytes, text/plain)
2019-08-01 17:39 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 17:39:28 UTC
pocketsphinx failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36636933


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix pocketsphinx at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pocketsphinx will be orphaned. Before branching of Fedora 32,
pocketsphinx will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 17:39:31 UTC
Created attachment 1598641 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 17:39:36 UTC
Created attachment 1598642 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 17:39:43 UTC
Created attachment 1598643 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:56:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:27:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Release Engineering 2019-09-22 04:33:56 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 7 Fedora Release Engineering 2019-09-29 04:25:21 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 8 Fedora Release Engineering 2019-10-06 04:26:18 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 9 Fedora Release Engineering 2019-10-13 04:26:11 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 10 W. Michael Petullo 2019-10-13 17:10:57 UTC
It looks like sphinxbase will be easy to fix; a patch follows. If we make this change and unorphan sphinxbase, then I should be able to fix pocketsphinx too. The problem seems to follow from pulling Python 2 out of Fedora.

diff --git a/sphinxbase.spec b/sphinxbase.spec
index 5d8efc9..3a3fbce 100644
--- a/sphinxbase.spec
+++ b/sphinxbase.spec
@@ -1,6 +1,6 @@
 Name:           sphinxbase
 Version:        5prealpha
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Common library for CMU Sphinx voice recognition products
 
 License:        BSD
@@ -81,6 +81,7 @@ done
 
 %build
 export CPPFLAGS="-I %{_includedir}/openblas"
+export PYTHON="python3"
 %configure --disable-static --with-python=%{__python3}
 
 # Get rid of undesirable hardcoded rpaths; workaround libtool reordering
@@ -144,6 +145,9 @@ rm -f %{buildroot}%{_libdir}/*.la
 %{python3_sitearch}/*
 
 %changelog
+* Sun Oct 13 2019 W. Michael Petullo <mike@flyn.org> - 5prealpha-6
+- More work to switch to Python 3
+
 * Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5prealpha-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

Comment 11 W. Michael Petullo 2019-10-13 17:24:39 UTC
See also https://pagure.io/releng/issue/8898.

Comment 12 W. Michael Petullo 2019-10-17 02:06:44 UTC
I just brought sphinxbase back into Rawhide, so this should be fixed soon. I am waiting on the sphinxbase package to become available in the build system.


Note You need to log in before you can comment on or make changes to this bug.